Bug 868838 - Review Request: nepomukshell - Debugging and maintenance tool for Nepomuk
Review Request: nepomukshell - Debugging and maintenance tool for Nepomuk
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Grulich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 05:18 EDT by Daniel Vrátil
Modified: 2015-11-01 20:36 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-30 22:29:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jgrulich: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Daniel Vrátil 2012-10-22 05:18:08 EDT
Spec URL: http://pub.progdan.cz/specs/nepomukshell.spec
SRPM URL: http://pub.progdan.cz/specs/nepomukshell-0.8.0-1.fc19.src.rpm
Description: Nepomuk maintenance and debugging tool for Nepomuk aimed for KDE and Nepomuk developers
Fedora Account System Username: dvratil
Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4614457
Comment 1 Jan Grulich 2012-10-22 12:01:49 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#desktop


===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[ ]: Package contains no bundled libraries.
[ ]: Changelog in prescribed format.
[ ]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[ ]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[ ]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[!]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[ ]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[ ]: Large documentation files are in a -doc subpackage, if required.
[ ]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL", "LGPL (v2)", "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or
     generated". 5 files have unknown license. Detailed output of licensecheck
     in /home/grulja/Downloads/868838-nepomukshell/licensecheck.txt
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[ ]: Package is not relocatable.
[ ]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[ ]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[ ]: Useful -debuginfo package or justification otherwise.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nepomukshell-0.8.0-1.fc17.src.rpm
          nepomukshell-debuginfo-0.8.0-1.fc17.x86_64.rpm
          nepomukshell-0.8.0-1.fc17.x86_64.rpm
nepomukshell.src: W: spelling-error Summary(en_US) Nepomuk -> Nepotism
nepomukshell.src: W: spelling-error %description -l en_US Nepomuk -> Nepotism
nepomukshell.x86_64: W: spelling-error Summary(en_US) Nepomuk -> Nepotism
nepomukshell.x86_64: W: spelling-error %description -l en_US Nepomuk -> Nepotism
nepomukshell.x86_64: W: no-manual-page-for-binary nepomukshell
3 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nepomukshell-debuginfo nepomukshell
nepomukshell.x86_64: W: spelling-error Summary(en_US) Nepomuk -> Nepotism
nepomukshell.x86_64: W: spelling-error %description -l en_US Nepomuk -> Nepotism
nepomukshell.x86_64: W: no-manual-page-for-binary nepomukshell
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
nepomukshell-debuginfo-0.8.0-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

nepomukshell-0.8.0-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libQtCore.so.4()(64bit)  
    libQtDBus.so.4()(64bit)  
    libQtGui.so.4()(64bit)  
    libQtNetwork.so.4()(64bit)  
    libQtSvg.so.4()(64bit)  
    libQtXml.so.4()(64bit)  
    libc.so.6()(64bit)  
    libgcc_s.so.1()(64bit)  
    libkdecore.so.5()(64bit)  
    libkdeui.so.5()(64bit)  
    libkio.so.5()(64bit)  
    libm.so.6()(64bit)  
    libnepomuk.so.4()(64bit)  
    libnepomukquery.so.4()(64bit)  
    libnepomukutils.so.4()(64bit)  
    libpthread.so.0()(64bit)  
    libsoprano.so.4()(64bit)  
    libstdc++.so.6()(64bit)  
    libstdc++.so.6(CXXABI_1.3)(64bit)  
    rtld(GNU_HASH)  



Provides
--------
nepomukshell-debuginfo-0.8.0-1.fc17.x86_64.rpm:
    
    nepomukshell-debuginfo = 0.8.0-1.fc17
    nepomukshell-debuginfo(x86-64) = 0.8.0-1.fc17

nepomukshell-0.8.0-1.fc17.x86_64.rpm:
    
    nepomukshell = 0.8.0-1.fc17
    nepomukshell(x86-64) = 0.8.0-1.fc17



MD5-sum check
-------------
http://download.kde.org/unstable/nepomuk/nepomukshell-0.8.0.tar.bz2 :
  CHECKSUM(SHA256) this package     : a5d9e0840f927bdf6743b08c65456373de4374588a7fd78b710e000790c8c715
  CHECKSUM(SHA256) upstream package : a5d9e0840f927bdf6743b08c65456373de4374588a7fd78b710e000790c8c715


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-17-x86_64
Command line :/usr/bin/fedora-review -b 868838
Comment 2 Volker Fröhlich 2012-10-22 15:48:28 EDT
Jan: I think using fedora-review only makes sense when you also fill out the resulting form a bit. :)


rm -rf $RPM_BUILD_ROOT is no longer necessary.

License seems to be GPLv3+:

$ licensecheck -r *
...
resourcepropertymodel.cpp: GPL
resourcepropertymodel.h: GPL (v2 or later)
resourcequerywidget.cpp: GPL
resourcequerywidget.h: GPL
resourceview.cpp: GPL
resourceview.h: GPL (v2 or later)
settings/resourcebrowsersettingspage.h: GPL
sparqlsyntaxhighlighter.cpp: GPL (v3 or later)
sparqlsyntaxhighlighter.h: GPL (v3 or later)

Mark as %doc:

COPYING, AUTHORS, ChangeLog

BR cmake

I think it should be "and" not "end" in the summary.
Comment 3 Daniel Vrátil 2012-10-23 12:53:02 EDT
Spec URL: http://pub.progdan.cz/specs/nepomukshell.spec
SRPM URL: http://pub.progdan.cz/specs/nepomukshell-0.8.0-2.fc18.src.rpm

* Tue Oct 23 2012 Dan Vrátil <dvratil@redhat.com> - 0.8.0-2
- Use KDE macros
- Add AUTHORS, COPYING and ChangeLog to documentation
- Fixed license and typo in summary
- Removed CMake version and "rm -rf $BUILD_ROOT"
Comment 4 Jan Grulich 2012-12-22 10:05:27 EST
I see no problem. Rpmlint and fedora-review didn't show any serious problem.
Comment 5 Daniel Vrátil 2012-12-22 11:10:58 EST
New Package SCM Request
=======================
Package Name: nepomukshell
Short Description: Debugging and maintenance tool for Nepomuk
Owners: dvratil
Branches: f17 f18
InitialCC:
Comment 6 Gwyn Ciesla 2012-12-22 11:59:02 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-12-22 12:46:18 EST
nepomukshell-0.8.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nepomukshell-0.8.0-2.fc18
Comment 8 Fedora Update System 2012-12-22 12:46:29 EST
nepomukshell-0.8.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/nepomukshell-0.8.0-2.fc17
Comment 9 Fedora Update System 2012-12-22 16:13:52 EST
nepomukshell-0.8.0-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 10 Fedora Update System 2012-12-30 22:29:02 EST
nepomukshell-0.8.0-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 11 Fedora Update System 2013-01-11 18:27:29 EST
nepomukshell-0.8.0-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.